Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface DocumentListWriter

    public interface DocumentListWriter

The DocumentListWriter interface defines a character writer that can be used to write a list with information about documents from a document library. The interface supports the document list written to be grouped by document types.

See Also:
  `CSVDocumentListWriter`

Method Summary
`void` | `writeEndDocument()` Write an element for the end of a new document entry in the document list
`void` | `writeEndDocumentList()` Write an element for the end of a document list.
`void` | `writeEndProperty()` Write an element for the end of a property entry for a document entry in the document list
`void` | `writeEndType()` Write an element for the end of a document type section within the document list
`void` | `writeStartDocument()` Write an element for the start of a new document entry in the document list
`void` | `writeStartDocumentList(java.util.Locale locale)` Writes an element for the start of the document list.
`void` | `writeStartProperty()` Write an element for the start of a property entry for a document entry in the document list
`void` | `writeStartType(java.lang.String type)` Write an element for the start of a new document type section within the document list
`void` | `writeValue(java.lang.String value)` Write a value to the document list

Method Detail

### writeStartDocumentList

    void writeStartDocumentList(java.util.Locale locale)
                                throws java.io.IOException

  Writes an element for the start of the document list.

  Parameters:
    `locale` - The language used to localize information in the list
  Throws:
    `java.io.IOException` - If unable to write to underlying stream

### writeEndDocumentList

    void writeEndDocumentList()
                              throws java.io.IOException

  Write an element for the end of a document list.

  Throws:
    `java.io.IOException` - If unable to write to underlying stream

### writeStartType

    void writeStartType(java.lang.String type)
                        throws java.io.IOException

  Write an element for the start of a new document type section within the document list

  Parameters:
    `type` - The non-localized name of the type
  Throws:
    `java.io.IOException` - If unable to write to underlying stream

### writeEndType

    void writeEndType()
                      throws java.io.IOException

  Write an element for the end of a document type section within the document list

  Throws:
    `java.io.IOException` - If unable to write to underlying stream

### writeStartDocument

    void writeStartDocument()
                            throws java.io.IOException

  Write an element for the start of a new document entry in the document list

  Throws:
    `java.io.IOException` - If unable to write to underlying stream

### writeEndDocument

    void writeEndDocument()
                          throws java.io.IOException

  Write an element for the end of a new document entry in the document list

  Throws:
    `java.io.IOException` - If unable to write to underlying stream

### writeStartProperty

    void writeStartProperty()
                            throws java.io.IOException

  Write an element for the start of a property entry for a document entry in the document list

  Throws:
    `java.io.IOException` - If unable to write to underlying stream

### writeEndProperty

    void writeEndProperty()
                          throws java.io.IOException

  Write an element for the end of a property entry for a document entry in the document list

  Throws:
    `java.io.IOException` - If unable to write to underlying stream

### writeValue

    void writeValue(java.lang.String value)
                    throws java.io.IOException

  Write a value to the document list

  Parameters:
    `value` - The value to write
  Throws:
    `java.io.IOException` - If unable to write to underlying stream

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD